// LKSampleMSRDlg.h : header file
//

#if !defined(AFX_LKSAMPLEMSRDLG_H__7208DD53_5CA7_4E67_8DF2_B3DC344317BC__INCLUDED_)
#define AFX_LKSAMPLEMSRDLG_H__7208DD53_5CA7_4E67_8DF2_B3DC344317BC__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

/////////////////////////////////////////////////////////////////////////////
// CLKSampleMSRDlg dialog

class CLKSampleMSRDlg : public CDialog
{
// Construction
public:
	CLKSampleMSRDlg(CWnd* pParent = NULL);	// standard constructor
	BOOL m_bMode;

// Dialog Data
	//{{AFX_DATA(CLKSampleMSRDlg)
	enum { IDD = IDD_LKSAMPLEMSR_DIALOG };
	CEdit	m_MSRDATA3;
	CEdit	m_MSRDATA2;
	CEdit	m_MSRDATA1;
	CComboBox	m_cboPort;
	BOOL	m_bCheck2;
	BOOL	m_bCheck1;
	CString	m_strMSRDATA1;
	CString	m_strMSRDATA2;
	CString	m_strMSRDATA3;
	BOOL	m_bCheckTrack1;
	BOOL	m_bCheckTrack2;
	BOOL	m_bCheckTrack3;
	BOOL	m_bCheckTrack4;
	BOOL	m_bTrackCheck1;
	BOOL	m_bTrackCheck2;
	BOOL	m_bTrackCheck3;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CLKSampleMSRDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CLKSampleMSRDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnDestroy();
	afx_msg void OnTimer(UINT nIDEvent);
	afx_msg void OnButtonOpen();
	afx_msg void OnButton1();
	afx_msg void OnButton2();
	afx_msg void OnButtonClose();
	afx_msg void OnCheckTrack1();
	afx_msg void OnCheckTrack2();
	afx_msg void OnCheckTrack3();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft eMbedded Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_LKSAMPLEMSRDLG_H__7208DD53_5CA7_4E67_8DF2_B3DC344317BC__INCLUDED_)
